Subject: bug#6585: 23.1; Hang / CPU 100% on background interaction when in minibuffer

From: "Jason S. Cornez" <[email-masked]>
Date: Fri, 09 Jul 2010 09:06:58 +0200

I'm running the emacs23 that comes with k/unbuntu.  I didn't build it
myself and it apparently doesn't have debugging info in the image.  And
so what follows may not be so helpful.  But none the less this is the
gdb session.  You can see the ^Z at every point where emacs was failing
to respond.

I suppose I'll have to build my own emacs to be able to provide anything
further that might be helpful.  I'd just like to confirm that this
doesn't sound familiar to anyone.  And maybe someone has a suggestion
for a more common-place scenario that might trigger this (rather than my
steps to reproduce which involve Allegro Common Lisp).

- -Jason

$ gdb emacs
GNU gdb (GDB) 7.1-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/emacs...(no debugging symbols
found)...done.(gdb) run
Starting program: /usr/bin/emacs
[Thread debugging using libthread_db enabled]
^Z
Program received signal SIGTSTP, Stopped (user).
0x000000000058bef9 in ?? ()
(gdb) step
Cannot find bounds of current function
(gdb) finish
Run till exit from #0  0x000000000058bef9 in ?? ()

Program received signal SIGTSTP, Stopped (user).
0x000000000058bef9 in ?? ()
(gdb) finish
Run till exit from #0  0x000000000058bef9 in ?? ()
^Z
Program received signal SIGTSTP, Stopped (user).
0x000000000058b3c6 in ?? ()
(gdb) finish
Run till exit from #0  0x000000000058b3c6 in ?? ()

Program received signal SIGTSTP, Stopped (user).
0x000000000058b3c6 in ?? ()
(gdb) finish
Run till exit from #0  0x000000000058b3c6 in ?? ()
^Z
Program received signal SIGTSTP, Stopped (user).
0x000000000058befe in ?? ()
(gdb) finish
Run till exit from #0  0x000000000058befe in ?? ()

Program received signal SIGTSTP, Stopped (user).
0x000000000058befe in ?? ()
(gdb) next
Cannot find bounds of current function
(gdb) finish
Run till exit from #0  0x000000000058befe in ?? ()
^Z
Program received signal SIGTSTP, Stopped (user).
0x0000000000553ef2 in ?? ()
(gdb)